DMARC_UPDATE_PUBLIC_SUFFIX_LIST(1)

NAME
dmarc_update_public_suffix_list: command line tool to download updated public suffix list

SYNOPSIS
  dmarc_update_public_suffix_list [ --option=value ]

DESCRIPTION
Downloads a new Public Suffix List to the location specified by /etc/mail-dmarc.ini

The PSL is maintained by the Mozilla Foundation. It is updated a few times per month, you are requested to download no more than once per day.

The URL of the file is https://publicsuffix.org/list/effective_tld_names.dat More details can be found at https://publicsuffix.org/

  Options
  dmarc_update_public_suffix_list [ --dryrun --help ]

    dryrun       - show what would be done without overwriting file
    random       - introduce a random delay to spread server load
                   intended for use when running from crontab
    config-file  - alternate config file path
    help         - print this syntax guide

EXAMPLES
To check that a new file can be downloaded without error but not download the file:

  dmarc_update_public_suffix_list --dryrun

To download a new Public Suffix List to the location specified my mail-dmarc.ini

  dmarc_update_public_suffix_list

AUTHORS

•   Matt Simerson <msimerson@cpan.org>

•   Davide Migliavacca <shari@cpan.org>

•   Marc Bradshaw <marc@marcbradshaw.net>